//	+-------------------------------------------------------------------+
//	| Adding a PNG-Logo to the STL-file below...                        |
//	|                                                                   |
//	| This code is currently licensed under the same GPLv3 license, as  |
//	| the openWB, as CC BY is one-way compatible* here.                 |
//  |                                                                   |
//  | Further info:     https://burningbecks.wordpress.com/             |
//  | On Vimeo:         https://vimeo.com/user43397514                  |
//  | On Libre3D:       http://libre3d.com/other/1112/seller.html       |
//  | On YouMagine:     https://www.youmagine.com/burning-becks/designs |
//	|                                                                   |
//	|     December 22nd, 2020                  Burning Becks            |
//	+-------------------------------------------------------------------+

// * If CC BY-SA is, then CC BY also is => https://creativecommons.org/2015/10/08/cc-by-sa-4-0-now-one-way-compatible-with-gplv3/

difference(){

    // Import STL:
    // "Raspberry Pi 3 Wall Mount Case" by RT3D Workshop
    // https://www.prusaprinters.org/prints/10938-raspberry-pi-3-wall-mount-case
    // This work was licensed under a Creative Commons (4.0 International License) Attribution
    // http://creativecommons.org/licenses/by/4.0/
    color("Burlywood")
    translate([0, 0, 0])
    rotate([0, 0, 0])
    import("Prusa-10938/3-rpi3_case_small_lid_v1.stl", convexity = 10);

    // Import PNG - as the software is GPLv3 I assume the same goes for the logo...
    // openWB: https://openwb.de
    // Code: https://github.com/snaptec/openWB
    // License: https://www.gnu.org/licenses/gpl-3.0.en.html
    color("Teal")
    translate([39, -5, 10.3+0.4])
    rotate([0, 0, 0])
    scale([0.15, 0.15, 0.15])
    mirror([0, 1, 0])
    surface(file = "OpenWB-Logo.png", center = true, invert = false);

} // difference

// eof